Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231217 - ooimpress crash closing a PPT
Summary: ooimpress crash closing a PPT
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 20:09 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.2.0-10.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 09:17:45 UTC


Attachments (Terms of Use)
Crash report (deleted)
2007-03-06 20:10 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2007-03-06 20:09:15 UTC
Description of problem:
Closing a PPT ooimpress crashed

Version-Release number of selected component (if applicable):
openoffice.org-impress-2.2.0-10.1

How reproducible:
Have tried several times, did not recur. It might have been a file I removed
(together with its containing directory).

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Horst H. von Brand 2007-03-06 20:10:16 UTC
Created attachment 149374 [details]
Crash report

Comment 2 Caolan McNamara 2007-03-06 20:20:47 UTC
The trace would imply this happened when adding a file to the recently used list.

Comment 3 Caolan McNamara 2007-03-07 09:17:45 UTC
I can't quite reproduce a crash, but it does show that the gnome .recently-used
file has been moved to .recently-used.rbel and changed format. So we need to fix
that, making any stuff around ~/.recently-used redundant. 

i.e. I've moved OOo (openoffice.org-2.2.0-10.2) from it's hand crafted
~/.recently-used file to the gtk apis for the new format. If this happens what
that >= version then re-open.


Note You need to log in before you can comment on or make changes to this bug.